socket.h File Reference

This header contains declaration internal to log4cplus. More...

`#include <log4cplus/config.hxx>`
`#include <log4cplus/config/windowsh-inc.h>`
`#include <log4cplus/helpers/socket.h>`
`#include <cerrno>`
Include dependency graph for internal/socket.h:

Go to the source code of this file.

## Classes

struct | log4cplus::helpers::ADDRINFOT_deleter
struct | log4cplus::helpers::socket_closer
struct | log4cplus::helpers::socket_holder

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Typedefs

typedef SOCKET | log4cplus::helpers::os_socket_type

## Functions

static os_socket_type | log4cplus::helpers::to_os_socket (SOCKET_TYPE const &x)
static SOCKET_TYPE | log4cplus::helpers::to_log4cplus_socket (os_socket_type const &x)
static void | log4cplus::helpers::set_last_socket_error (int err)
static int | log4cplus::helpers::get_last_socket_error ()

## Variables

os_socket_type const | log4cplus::helpers::INVALID_OS_SOCKET_VALUE = INVALID_SOCKET

## Detailed Description

This header contains declaration internal to log4cplus.

They must never be visible from user accesible headers or exported in DLL/shared libray.

Definition in file internal/socket.h.